{% extends "base.html" %}
{% import '_forms.html' as forms %}
{% block header %}
<link rel="stylesheet" type="text/css" href="assets/css/main.css">
{% endblock %}

{% block content %}

<!-- Nextcloud admin user -->
<div class="tile is-parent">
  <article class="tile box is-child ">
    <h2 class="title is-2">{{ strings.admin }}</h2>
      <form method="POST">
        <!-- {{ forms.input_text('admin_login', strings.login, value=admin_conf['admin_log']) }} -->
        {{ forms.input_password('admin_password', strings.password, value=admin_conf['admin_pwd']) }}
        <div class="is-pulled-right">
          <form method="POST">
              <div class="is-pulled-right">{{ forms.button(strings.save) }}</div>
          </form>
      </div>
      </form>
  </article>
</div>

<!-- Nextcloud LDAP config -->
<div class="tile is-parent">
  <article class="tile box is-child ">
    <h2 class="title is-2">{{ strings.ldap }}</h2>
      <form method="POST">
        {{ forms.input_text('ldapHost', strings.host, value=ldap_conf['ldapHost']) }}
        {{ forms.input_text('ldapPort', strings.port, value=ldap_conf['ldapPort']) }}
        {{ forms.input_text('ldapBase', strings.ldap_base, value=ldap_conf['ldapBase']) }}
        <div class="is-pulled-right">
          <form method="POST">
              <div class="is-pulled-right">{{ forms.button(strings.save) }}</div>
          </form>
      </div>
      </form>
  </article>
</div>

<!-- Nextcloud mail config -->
<!-- 
<div class="tile is-parent">
  <article class="tile box is-child ">
    <h2 class="title is-2">{{ strings.mail }}</h2>
      <form method="POST">
        {{ forms.input_text('smtp_host', strings.host, value=smtp_conf['smtp_host']) }}
        {{ forms.input_text('smtp_port', strings.port, value=smtp_conf['smtp_port']) }}
        {{ forms.input_checkbox('smtp_auth', strings.smtp_auth, checked=smtp_conf['smtp_auth']) }}
        {{ forms.input_text('smtp_login', strings.login, value=smtp_conf['smtp_login']) }}
        {{ forms.input_password('smtp_password', strings.password, value=smtp_conf['smtp_password']) }}
        <div class="is-pulled-right">
          <form method="POST">
              <div class="is-pulled-right">{{ forms.button(strings.save) }}</div>
          </form>
      </div>
      </form>
  </article>
</div>
--> 
<!--
<div class="tile is-parent">
  <article class="tile box is-child ">
    <h2 class="title is-2">{{ strings.ldap }}</h2>

    <div class="group_list">
      {% for group in nextcloud_groups %}
      <span class="tag is-info">
        {{ group }}
          <form method="POST">
              <input type="hidden" name="delete_group" value="{{ group }}">
              <button class="delete is-small tag-delete"></button>
          </form>
      </span>
      {% endfor %}
    </div>

    <div class="is-pulled-right">
        <form method="POST">
            <div class="is-pulled-left">{{ forms.input_select('ldap_groups', available_groups) }}</div>
            <span class="group-form-spacer"></span>
            <div class="is-pulled-right">{{ forms.button(strings.add) }}</div>
        </form>
    </div>

  </article>
</div>
-->
{% endblock %}
